/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:51 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: AbstractGene.java,v $
 *
 */
package org.evolvica.core;

import org.evolvica.engine.IDatatype;

/** Abstract base class for a genotype.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:51 $
 */
abstract public class AbstractGene implements IGenotype {
	
	/**
	 * @see org.evolvica.core.IGenotype#getType()
	 */
	public IDatatype getType() {
		return GenotypeRepository.getID( this );
	}

}
