/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:52 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: DefaultIndividual.java,v $
 *
 */
package org.evolvica.core;

/** Default implementation of an individual.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:57:52 $
 */
public class DefaultIndividual extends AbstractIndividual {
	
	/**
	 * Constructor.
	 * @param genotype the genotype of this individual
	 */
	public DefaultIndividual( IGenotype genotype ) {
		setGenotype( genotype );
	}
	
}
