/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:11 $
 * $Revision: 1.8 $
 * $State: Exp $
 * $RCSfile: DefaultPopulation.java,v $
 *
 */
package org.evolvica.core.population;

import java.util.ArrayList;

/** Generic implementation of a population based on an array list.
 * The individuals in this population are unsorted.
 *
 * @since 0.4.0
 * @author Andreas Rummler
 * @version $Revision: 1.8 $ $Date: 2004/05/26 11:58:11 $
 */
public class DefaultPopulation extends AbstractPopulation {

	/** Default constructor.
	*
	*/
	public DefaultPopulation() {
		population = new ArrayList();
	}

}
