/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/06/24 16:28:13 $
 * $Revision: 1.1 $
 * $State: Exp $
 * $RCSfile: FalseCondition.java,v $
 * 
 */
package org.evolvica.core.terminate;

import org.evolvica.core.IIndividualSet;


/** A condition that is always false.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.1 $ $Date: 2004/06/24 16:28:13 $
 */
public class FalseCondition implements ICondition {

	/**
	 * @see org.evolvica.core.terminate.ICondition#isTrue(org.evolvica.core.IIndividualSet)
	 */
	public boolean isTrue( IIndividualSet iset ) {
		return false;
	}

}
