/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:23 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: Events.java,v $
 * 
 */
package org.evolvica.engine;

/** Contains IDs for events.
 *
 * @author Andreas Rummler
 * @since 0.6.0
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:58:23 $
 */
public class Events {
	
	public final static String CONNECTION_ADDED = "CONNECTION_ADDED";
	
	public final static String CONNECTION_REMOVED = "CONNECTION_REMOVED";
	
	public final static String ELEMENT_ADDED = "ELEMENT_ADDED";
	
	public final static String ELEMENT_REMOVED = "ELEMENT_REMOVED";
	
	public final static String INCOMING_CONNECTED = "INCOMING_CONNECTED";
	
	public final static String INCOMING_DISCONNECTED = "INCOMING_DISCONNECTED";
	
	public final static String INCOMING_SIZE_CHANGED = "INCOMING_SIZE_CHANGED";
	
	public final static String OUTGOING_CONNECTED = "OUTGOING_CONNECTED";
	
	public final static String OUTGOING_DISCONNECTED = "OUTGOING_DISCONNECTED";
	
	public final static String OUTGOING_SIZE_CHANGED = "OUTGOING_SIZE_CHANGED";
	
}
