/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:35:30 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: TrivialMutator.java,v $
 *
 */
package org.evolvica.examples.trivial;

import org.apache.commons.lang.RandomStringUtils;
import org.evolvica.core.mutate.string.StringMutator;

// a trivial class that mutates strings
public class TrivialMutator extends StringMutator {
	
	// the method that mutates the string
	public String mutate( String value ) {
		// we simply create a new random string of size 10, not effective, but trivial :-)
		return RandomStringUtils.randomAlphabetic( 10 );
	}

}
