/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:12 $
 * $Revision: 1.7 $
 * $State: Exp $
 * $RCSfile: Images.java,v $
 * 
 */
package org.evolvica.ui;

import java.util.HashMap;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.7 $ $Date: 2004/05/26 11:53:12 $
 */
public class Images {
	
	private static final HashMap IMAGES = new HashMap();
	
	private static final HashMap IMAGE_DESCRIPTORS = new HashMap();
	
	public static final Image getImage( String name ) {
		Object image = IMAGES.get( name );
		if ( image == null ) {
			image = ImageDescriptor.createFromFile( Images.class, name ).createImage();
			IMAGES.put( name, image );
		}
		return (Image) image;
	}
	
	public static final ImageDescriptor getImageDescriptor( String name ) {
		Object imageDescriptor = IMAGE_DESCRIPTORS.get( name );
		if ( imageDescriptor == null ) {
			imageDescriptor = ImageDescriptor.createFromFile( Images.class, name );
			IMAGE_DESCRIPTORS.put( name, imageDescriptor );
		}
		return (ImageDescriptor) imageDescriptor;
	}
	
}
