/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:15 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: RefreshCacheAction.java,v $
 * 
 */
package org.evolvica.ui.action;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.PlatformUI;
import org.evolvica.ui.AlgorithmEditor;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:15 $
 */
public class RefreshCacheAction extends Action {

	public RefreshCacheAction() {
		super( "refreshcache" );
		setText( "Refresh Operator Cache" );
	}

	public void run() {
		AlgorithmEditor editor = (AlgorithmEditor) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
		editor.getPalette().refresh( editor.getJavaProject() );
	}
	
}
