/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:21 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ConnectCommand.java,v $
 * 
 */
package org.evolvica.ui.command;

import org.eclipse.gef.commands.Command;
import org.evolvica.engine.IElement;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:53:21 $
 */
public class ConnectCommand extends Command {
	
	protected IElement source;
	
	protected IElement target;
	
	protected int sourceSlot;
	
	protected int targetSlot;
	
	public ConnectCommand( IElement source, int sourceSlot ) {
		this.source = source;
		this.sourceSlot = sourceSlot;
	}
	
	public void setTarget( IElement target, int targetSlot ) {
		this.target = target;
		this.targetSlot = targetSlot;
	}
	
	public void execute() {
		source.getAlgorithm().connect( source, sourceSlot, target, targetSlot );
	}
	
}
