/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:22 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: ReconnectTargetCommand.java,v $
 * 
 */
package org.evolvica.ui.command;

import org.eclipse.gef.commands.Command;
import org.evolvica.engine.IConnection;
import org.evolvica.engine.IElement;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:22 $
 */
public class ReconnectTargetCommand extends Command {
	
	protected IConnection connection = null;
	
	protected IElement newTarget = null;
	
	protected int newTargetSlot = 0;
	
	public ReconnectTargetCommand( IConnection connection, IElement newTarget, int newTargetSlot ) {
		this.connection = connection;
		this.newTarget = newTarget;
		this.newTargetSlot = newTargetSlot;
	}
	
	public void execute() {
		connection.getTarget().removeConnection( connection ); // remove connection from old target
		newTarget.setIncoming( connection, newTargetSlot ); // connect to new target
	}
	
}
