/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:23 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: PropertyTableContentItem.java,v $
 *
 */
package org.evolvica.ui.editors.operator;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:23 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class PropertyTableContentItem implements Comparable {
	
	protected String name = "";
	
	protected String type = "";
	
	protected String displayName = "";
	
	protected boolean isExpert = false;
	
	protected boolean isReadonly = false;
	
	protected String description = "";
	
	public String getDescription() {
		return description;
	}

	public String getDisplayName() {
		return displayName;
	}

	public boolean isExpert() {
		return isExpert;
	}

	public boolean isReadonly() {
		return isReadonly;
	}

	public String getName() {
		return name;
	}

	public String getType() {
		return type;
	}

	public void setDescription( String string ) {
		description = string;
	}

	public void setDisplayName( String string ) {
		displayName = string;
	}

	public void setExpert( boolean b ) {
		isExpert = b;
	}

	public void setReadonly( boolean b ) {
		isReadonly = b;
	}

	public void setName( String string ) {
		name = string;
	}

	public void setType( String string ) {
		type = string;
	}

	public int compareTo( Object o ) {
		PropertyTableContentItem other = (PropertyTableContentItem) o;
		return this.name.compareTo( other.name );
	}

}
