/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:29 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AbstractResourceItem.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;


/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:29 $
 */
abstract public class AbstractResourceItem implements IResourceItem {
	
	public String getKey() {
		StringBuffer buffer = new StringBuffer();
		IResourceItem parent = this;
		while ( parent != null ) {
			buffer.insert( 0, ResourceLabelProvider.instance.getText( parent ) );
			buffer.insert( 0, "/" );
			parent = parent.getParent();
		}
		return buffer.toString();
	}
	
	public String toString() {
		return getKey();
	}
	
	public boolean equals( Object obj ) {
		if ( obj instanceof IResourceItem ) {
			if ( getKey().equals( ((IResourceItem) obj).getKey() ) ) {
				return true;
			}
		}
		return false;
	}

}
