/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:29 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AlgorithmItem.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.jdt.core.IJavaProject;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:29 $
 */
public class AlgorithmItem extends AbstractResourceItem {
	
	private AlgorithmFolder parent = null;
	
	private IFile file = null;
	
	public AlgorithmItem( AlgorithmFolder parent, IFile file ) {
		this.parent = parent;
		this.file = file;
	}
	
	public Object getItem() {
		return file; 
	}
	
	public IFile getFile() {
		return file;
	}
	
	public Object[] getChildren() {
		return EMPTY_ARRAY;
	}

	public boolean hasChildren() {
		return false;
	}

	public IProject getProject() {
		return file.getProject();
	}

	public IJavaProject getJavaProject() {
		return parent.getJavaProject();
	}

	public IResourceItem getParent() {
		return parent;
	}

}
