/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:29 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: IResourceItem.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.core.resources.IProject;
import org.eclipse.jdt.core.IJavaProject;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:29 $
 */
public interface IResourceItem {
	
	public static final Object[] EMPTY_ARRAY = new Object[0];
	
	public Object[] getChildren();
	
	public boolean hasChildren();
	
	public String getKey();
	
	public Object getItem();
	
	public IProject getProject();
	
	public IJavaProject getJavaProject();
	
	public IResourceItem getParent();
	
}
