/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:31 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: NavigatorAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.eclipse.jface.action.Action;
import org.evolvica.ui.views.navigator.ProjectNavigator;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:31 $
 */
abstract public class NavigatorAction extends Action {
	
	protected ProjectNavigator navigator = null;
	
	public NavigatorAction( ProjectNavigator navigator, String label ) {
		super( label );
		this.navigator = navigator;
	}
	
	public void run() {
		if ( navigator.getSelectedItem() != null ) {
			runOnSelection( navigator.getSelectedItem() );
		}
	}
	
	abstract protected void runOnSelection( Object selectedObject );
	
}
