/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:32 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: NewAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.eclipse.ui.actions.NewWizardAction;
import org.evolvica.ui.views.navigator.IResourceItem;
import org.evolvica.ui.views.navigator.ProjectNavigator;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:32 $
 */
public class NewAction extends NavigatorAction {
	
	public static final String ID = "org.evolvica.ui.navigator.actions.NewAction";
	
	public NewAction( ProjectNavigator explorer ) {
		super( explorer, "Other..." );
		setId( ID );
	}
	
	public void runOnSelection( Object selectedItem ) {
		NewWizardAction action = new NewWizardAction( navigator.getSite().getWorkbenchWindow() );
		action.run();
	}
	
	public boolean isEnabled() {
		IResourceItem selectedItem = navigator.getSelectedItem();
		if ( selectedItem != null ) {
			return true;
		}
		return false;
	}

}
