/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:32 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: PasteAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.evolvica.ui.Images;
import org.evolvica.ui.views.navigator.*;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:32 $
 */
public class PasteAction extends NavigatorAction {
	
	public static final String ID = "org.evolvica.ui.navigator.actions.PasteAction";
	
	public PasteAction( ProjectNavigator explorer ) {
		super( explorer, "Paste" );
		setImageDescriptor( Images.getImageDescriptor( "icons/paste16.png" ) );
		setId( ID );
	}
	
	public void runOnSelection( Object selectedItem ) {
		System.out.println( selectedItem );
	}
	
	public boolean isEnabled() {
		IResourceItem selectedItem = navigator.getSelectedItem();
		/*
		if ( selectedItem != null ) {
			if ( selectedItem instanceof ProjectFolder ) {
				return true;
			} else if ( selectedItem instanceof AlgorithmItem ) {
				return true;
			} else if ( selectedItem instanceof OperatorItem && ((OperatorItem) selectedItem).isLocal() ) {
				return true;
			}
		}
		*/
		return false;
	}

}
