/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:37 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: ExpertAttributeFilter.java,v $
 *
 */
package org.evolvica.ui.views.properties;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:37 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class ExpertAttributeFilter extends ViewerFilter {
	
	public static final ExpertAttributeFilter instance = new ExpertAttributeFilter();
	
	public boolean select( Viewer viewer, Object parentElement, Object element ) {
		return ! ((IContentItem) element).isExpert();
	}
	
}
