/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:37 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: IContentItem.java,v $
 *
 */
package org.evolvica.ui.views.properties;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:37 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public interface IContentItem {
	
	public void clearCache();
	
	public String getLabel();

	public IContentItem getParent();

	public Object getValue();
	
	public IContentItem[] getChildren();
	
	public boolean hasChildren();
	
	public boolean isExpert();
	
	public boolean isReadonly();
	
	public void resetValue() throws Exception;
	
	public void setExpert( boolean expert );
	
	public void setReadonly( boolean readonly );
	
	public void setValue( Object value ) throws Exception;
	
	public void setValue( Object value, boolean convert ) throws Exception;
	
	public void synchronize();
	
}
