/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:53 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: IIndividualBuilder.java,v $
 *
 */
package org.evolvica.core;

/** Interface for an individual builder.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:57:53 $
 */
public interface IIndividualBuilder {
	
	/**
	 * Creates a new individual.
	 * @return newly created individual
	 */
	public IIndividual newIndividual();

}
