/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:59 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: IGeneticOperator.java,v $
 *
 */
package org.evolvica.core.common;

import org.evolvica.engine.IOperator;

/**
 * Interface for an operator that is used in an evolutionary algorithm.
 * This interface does not specify any methods at the moment. It is only
 * used to separate genetic operators from other operators that may be added
 * in the future.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:57:59 $
 *
 * @since 0.4.0
 */
public interface IGeneticOperator extends IOperator {
	
	// hhmm, some methods may be added in the future here ...
		
}
