/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:08 $
 * $Revision: 1.7 $
 * $State: Exp $
 * $RCSfile: AlgorithmEditorContributor.java,v $
 *
 */
package org.evolvica.ui;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.ui.part.EditorActionBarContributor;
import org.evolvica.ui.action.RefreshCacheAction;
import org.evolvica.ui.action.RunAlgorithmAction;
import org.evolvica.ui.action.ValidateAlgorithmAction;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.7 $ $Date: 2004/05/26 11:53:08 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class AlgorithmEditorContributor extends EditorActionBarContributor {
	
	public void contributeToMenu( IMenuManager menuManager ) {
		IMenuManager projectManager = menuManager.findMenuUsingPath( "project" );
		//projectManager.appendToGroup( "additions", new RunAlgorithmInHostVMAction() );
		projectManager.appendToGroup( "additions", new RunAlgorithmAction() );
		projectManager.appendToGroup( "additions", new ValidateAlgorithmAction() );
		projectManager.appendToGroup( "additions", new RefreshCacheAction() );
	}
	
}
