/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:09 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: AlgorithmLaunchShortcut.java,v $
 * 
 */
package org.evolvica.ui;

import org.eclipse.jdt.internal.debug.ui.launcher.JavaApplicationLaunchShortcut;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IEditorPart;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:09 $
 */
public class AlgorithmLaunchShortcut extends JavaApplicationLaunchShortcut {

	/**
	 * @see org.eclipse.debug.ui.ILaunchShortcut#launch(org.eclipse.jface.viewers.ISelection, java.lang.String)
	 */
	public void launch( ISelection selection, String mode ) {
		System.out.println( "selection launch from " + selection );
		super.launch( selection, mode );
	}

	/**
	 * @see org.eclipse.debug.ui.ILaunchShortcut#launch(org.eclipse.ui.IEditorPart, java.lang.String)
	 */
	public void launch( IEditorPart editor, String mode ) {
		System.out.println( "editor launch from " + editor );
		super.launch( editor, mode );
	}

}
