/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:14 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: UIHelper.java,v $
 *
 */
package org.evolvica.ui;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.swt.graphics.Color;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:14 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class UIHelper {
	
	public static final Color decodeColor( String string ) {
		try {
			int red = Integer.decode( "0x" + string.substring( 1, 3 ) ).intValue();
			int green = Integer.decode( "0x" + string.substring( 3, 5 ) ).intValue();
			int blue = Integer.decode( "0x" + string.substring( 5, 7 ) ).intValue();
			return new Color( null, red, green, blue );
		} catch ( Exception ex ) {
			return ColorConstants.lightGray;
		}
	}
	
	public static final String encodeColor( Color color ) {
		String red = Integer.toHexString( color.getRed() );
		String green = Integer.toHexString( color.getGreen() );
		String blue = Integer.toHexString( color.getBlue() );
		if ( red.length() == 1 ) {
			red = "0" + red;
		}
		if ( green.length() == 1 ) {
			green = "0" + green;
		}
		if ( blue.length() == 1 ) {
			blue = "0" + blue;
		}
		return "#" + red + green + blue; 
	}
	
}
