/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:22 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ReconnectCommand.java,v $
 * 
 */
package org.evolvica.ui.command;

import org.eclipse.gef.commands.Command;
import org.evolvica.ui.parts.EVConnectionAnchor;
import org.evolvica.ui.parts.EVConnectionEditPart;
import org.evolvica.ui.parts.OperatorEditPart;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:53:22 $
 */
public class ReconnectCommand extends Command {
	
	protected EVConnectionEditPart connection = null;
	
	protected OperatorEditPart targetPart = null;
	
	protected EVConnectionAnchor targetAnchor = null;
	
	public ReconnectCommand( EVConnectionEditPart connection, OperatorEditPart target, EVConnectionAnchor targetAnchor ) {
		this.connection = connection;
		this.targetPart = target;
		this.targetAnchor = targetAnchor;
	}
	
	public void execute() {
		/* first (working) version
		if ( targetAnchor.getName().startsWith( "source" ) ) { // reconnect old source -> new source
			// disconnect connection from old source
			connection.getSourcePart().getOperatorModel().disconnectSource( connection.getConnectionModel() );
			// update the connection model
			connection.getConnectionModel().setSource( target.getOperatorModel(), targetAnchor.getIndex() );
			// connect connection to new source
			target.getOperatorModel().connectSource( connection.getConnectionModel() );
		} else { // reconnect old target -> new target
			// disconnect connection from old target
			connection.getTargetPart().getOperatorModel().disconnectTarget( connection.getConnectionModel() );
			// update the connection model
			connection.getConnectionModel().setTarget( target.getOperatorModel(), targetAnchor.getIndex() );
			// connect connection to new target
			target.getOperatorModel().connectTarget( connection.getConnectionModel() );
		}
		*/
		/* second version
		if ( targetAnchor.getName().startsWith( "source" ) ) { // reconnect old source -> new source
			ConnectionModel connectionModel = connection.getConnectionModel();
			OperatorModel oldSource = connection.getSourcePart().getOperatorModel();
			OperatorModel newSource = targetPart.getOperatorModel();
			oldSource.disconnectSource( connectionModel );
			newSource.connectSource( connectionModel );
		} else { // reconnect old target -> new target
			ConnectionModel connectionModel = connection.getConnectionModel();
			OperatorModel oldTarget = connection.getTargetPart().getOperatorModel();
			OperatorModel newTarget = targetPart.getOperatorModel();
			oldTarget.disconnectTarget( connectionModel );
			newTarget.connectTarget( connectionModel );
		}
		*/
	}
	
}
