/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:22 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: ReconnectSourceCommand.java,v $
 * 
 */
package org.evolvica.ui.command;

import org.eclipse.gef.commands.Command;
import org.evolvica.engine.IConnection;
import org.evolvica.engine.IElement;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:22 $
 */
public class ReconnectSourceCommand extends Command {
	
	protected IConnection connection = null;
	
	protected IElement newSource = null;
	
	protected int newSourceSlot = 0;
	
	public ReconnectSourceCommand( IConnection connection, IElement newSource, int newSourceSlot ) {
		this.connection = connection;
		this.newSource = newSource;
		this.newSourceSlot = newSourceSlot;
	}
	
	public void execute() {
		connection.getSource().removeConnection( connection ); // remove connection from old source
		newSource.setOutgoing( connection, newSourceSlot ); // connect to new source
	}
	
}
