/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:24 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: PropertyTableLabelProvider.java,v $
 *
 */
package org.evolvica.ui.editors.operator;

import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.swt.graphics.Image;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:24 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class PropertyTableLabelProvider implements ITableLabelProvider {
	
	public Image getColumnImage( Object element, int columnIndex ) {
		return null; // return always null
	}
	
	public String getColumnText( Object element, int columnIndex ) {
		String rval = null;
		switch ( columnIndex ) {
			case 0:
				rval = ((PropertyTableContentItem) element).getName();
				break;
			case 1:
				rval = ((PropertyTableContentItem) element).getType();
				break;
			case 2:
				rval = ((PropertyTableContentItem) element).getDisplayName();
				break;
			case 3:
				rval = String.valueOf( ((PropertyTableContentItem) element).isExpert() );
				break;
			case 4:
				rval = String.valueOf( ((PropertyTableContentItem) element).isReadonly() );
				break;
			case 5:
				rval = ((PropertyTableContentItem) element).getDescription();
				break;
			default:
				rval = "";
				break;
		}
		return rval;
	}
	
	public void addListener( ILabelProviderListener listener ) {
	}
	
	public void dispose() {
	}
	
	public boolean isLabelProperty( Object element, String property ) {
		return true;
	}
	
	public void removeListener( ILabelProviderListener listener ) {
	}
	
}
