/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:30 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: ProjectCategoryFolder.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.evolvica.engine.OperatorDescriptor;
import org.evolvica.ui.CacheManager;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:30 $
 */
public class ProjectCategoryFolder extends CategoryFolder {

	public ProjectCategoryFolder( OperatorFolder parent ) {
		super( parent, "project" );
	}
	
	public boolean hasChildren() {
		OperatorDescriptor[] array = CacheManager.getLocalDescriptors( getJavaProject() );
		if ( array.length > 0 ) {
			return true;
		} else {
			return false;
		}
	}
	
	public Object[] getChildren() {
		OperatorDescriptor[] descriptors = CacheManager.getLocalDescriptors( getJavaProject() );
		OperatorItem[] items = new OperatorItem[descriptors.length];
		for ( int i = 0; i < descriptors.length; i++ ) {
			items[i] = new OperatorItem( this, descriptors[i], true );
		}
		return items;
	}
	
}
