/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:37 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: MetaContentItem.java,v $
 *
 */
package org.evolvica.ui.views.properties;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:37 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class MetaContentItem extends AbstractContentItem {
	
	public MetaContentItem( IContentItem parent, String label, Object value ) {
		this( parent, label, value, false );
	}
	
	public MetaContentItem( IContentItem parent, String label, Object value, boolean expert ) {
		 super( parent, label, value );
		 this.readonly = true;
		 this.expert = expert;
	}
	
	public IContentItem[] getChildren() {
		return new IContentItem[0]; // method is never called
	}
	
	public boolean hasChildren() {
		return false;
	}
	
	public void resetValue() {
		// do nothing
	}
	
	public void setValue( Object value, boolean convert ) {
		// ignore ...
	}
	
	public void synchronize() {
		// do nothing
	}
	
}
